#${
Project("unix:OS_NAME = UNIX" );
Project("win32:OS_NAME = WINDOWS" );

if ( $project{"OS_NAME"} eq 'UNIX' )

	{ $isUnix = true; }

opendir(DIR, '.');

if ( $isUnix ) { $obj_suffix = ".o"; }
		  else { $obj_suffix = ".obj"; }

for (;;) {
	$direntry = readdir(DIR);
	last unless defined $direntry;

	if ( $direntry =~ /(.*)(\.cpp)/ )
	{
	    $sources .= $direntry . " ";
	    $objects .= $1 . $obj_suffix . " ";
	}

	if ( $direntry =~ /.*\.h/ )
	{
	    $headers .= $direntry . " ";
	}

	# ($tdev, $tino) = lstat($direntry);
	# last unless $tdev != $odev || $tino != $oino;
}
closedir(DIR);

#$}
